%define module_name Perl-Lint-Git
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(Git/Repository.pm) perl(Git/Repository/Plugin/Blame.pm) perl(Module/Build.pm) perl(Perl/Lint.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/FailWarnings.pm) perl(Test/Git.pm) perl(Test/More.pm) perl(Test/Requires/Git.pm) perl(Git/Repository/Plugin/Log.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Connect git and Perl::Lint to blame the right people for violations.
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perl-Lint-Git

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AU/AUBERTG/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
use Perl::Lint::Git;
_my $git_linter = Perl::Lint::Git->new(
__file => $file,
_);

_my $violations = $git_linter->report_violations(
__author => $author,                 # or undef for all
__since  => $date,                   # to lint only recent changes
_);
%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes ignore.txt examples
%perl_vendor_privlib/P*

%changelog
* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1
- initial import by package builder

